Subject: [RFC PATCH v2 09/11] ARM64: mm: HugeTLB support.

From: [email-masked] (Steve Capper)
Date: Fri, 17 May 2013 09:41:25 +0100

On Thu, May 16, 2013 at 03:32:36PM +0100, Catalin Marinas wrote:
> On Wed, May 08, 2013 at 10:52:41AM +0100, Steve Capper wrote:
> > --- /dev/null
> > +++ b/arch/arm64/include/asm/hugetlb.h
> ...
> > +static inline int pud_large(pud_t pud)
> > +{
> > +	return !(pud_val(pud) & PUD_TABLE_BIT);
> > +}
> 
> I already commented on this - do we really need pud_large() which is
> the same as pud_huge()? It's only defined on x86 and can be safely
> replaced with pud_huge().
> 

Thanks, yes, sorry this one slipped through the cracks.
I'll update this to use pud_huge.

> > --- /dev/null
> > +++ b/arch/arm64/mm/hugetlbpage.c
> > @@ -0,0 +1,70 @@
> ...
> > +int pmd_huge(pmd_t pmd)
> > +{
> > +	return !(pmd_val(pmd) & PMD_TABLE_BIT);
> > +}
> > +
> > +int pud_huge(pud_t pud)
> > +{
> > +	return !(pud_val(pud) & PUD_TABLE_BIT);
> > +}
> 
> You could even go further and make pud/pmd_huge static inline functions
> for slightly better efficiency (needs changing in the linux/hugetlb.h
> header).

I'll have to have a think about this and a tinker :-). 

Cheers,
-- 
Steve